org.eclipse.actf.model.ui.editor.browser

## Class WebBrowserEventUtil

- java.lang.Object
- - org.eclipse.actf.model.ui.editor.browser.WebBrowserEventUtil

    public class WebBrowserEventUtil
    extends Object

Utility class to dispatch Web Browser event to registered `IWebBrowserACTFEventListener`

### Method Summary

Methods
`static void` `beforeNavigate(IWebBrowserACTF iWebBrowser, String url, String targetFrameName, boolean isInNavigation)` Dispatch before navigate event
`static void` `browserDisposed(IWebBrowserACTF iWebBrowser, String title)` Dispatch browser disposed event
`static void` `disposeExtensions()` Dispose all extensions.
`static void` `focusGainedOfAddressText(IWebBrowserACTF webBrowser)` Dispatch event that is called when the address area of the browser gained the focus
`static void` `focusLostOfAddressText(IWebBrowserACTF webBrowser)` Dispatch event that is called when the address area of the browser lost the focus
`static void` `getFocus(IWebBrowserACTF iWebBrowser)` Dispatch get focus event
`static void` `navigateComplete(IWebBrowserACTF iWebBrowser, String url)` Dispatch navigate complete event
`static void` `navigateStop(IWebBrowserACTF webBrowser)` Dispatch navigate stop event
`static void` `newWindow(IWebBrowserACTF webBrowser)` Dispatch event that is called when the new instance of `IWebBrowserACTF` was created
`static void` `progressChange(IWebBrowserACTF iWebBrowser, int progress, int progressMax)` Dispatch progress change event
`static void` `refreshComplete(IWebBrowserACTF webBrowser)` Dispatch refresh complete event
`static void` `refreshStart(IWebBrowserACTF webBrowser)` Dispatch refresh event
`static void` `rootDocumentComplete(IWebBrowserACTF iWebBrowser)` Dispatch root document complete event
`static void` `titleChange(IWebBrowserACTF iWebBrowser, String title)` DIspatch title change event

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### disposeExtensions

    public static void disposeExtensions()

Dispose all extensions.

#### navigateComplete

    public static void navigateComplete(IWebBrowserACTF iWebBrowser,
                        String url)

Dispatch navigate complete event

Parameters:
  `iWebBrowser` - event source `IWebBrowserACTF`
  `url` - target URL

#### titleChange

    public static void titleChange(IWebBrowserACTF iWebBrowser,
                   String title)

DIspatch title change event

Parameters:
  `iWebBrowser` - event source `IWebBrowserACTF`
  `title` - new title

#### progressChange

    public static void progressChange(IWebBrowserACTF iWebBrowser,
                      int progress,
                      int progressMax)

Dispatch progress change event

Parameters:
  `iWebBrowser` - event source `IWebBrowserACTF`
  `progress` - current progress
  `progressMax` - goal value of progress

#### rootDocumentComplete

    public static void rootDocumentComplete(IWebBrowserACTF iWebBrowser)

Dispatch root document complete event

Parameters:
  `iWebBrowser` - event source `IWebBrowserACTF`

#### getFocus

    public static void getFocus(IWebBrowserACTF iWebBrowser)

Dispatch get focus event

Parameters:
  `iWebBrowser` - event source `IWebBrowserACTF`

#### browserDisposed

    public static void browserDisposed(IWebBrowserACTF iWebBrowser,
                       String title)

Dispatch browser disposed event

Parameters:
  `iWebBrowser` - event source `IWebBrowserACTF`
  `title` -

#### beforeNavigate

    public static void beforeNavigate(IWebBrowserACTF iWebBrowser,
                      String url,
                      String targetFrameName,
                      boolean isInNavigation)

Dispatch before navigate event

Parameters:
  `iWebBrowser` - event source `IWebBrowserACTF`
  `url` - target URL
  `targetFrameName` - target frame name, if available
  `isInNavigation` - true, if the navigation is child of other navigation

#### refreshStart

    public static void refreshStart(IWebBrowserACTF webBrowser)

Dispatch refresh event

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### refreshComplete

    public static void refreshComplete(IWebBrowserACTF webBrowser)

Dispatch refresh complete event

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### navigateStop

    public static void navigateStop(IWebBrowserACTF webBrowser)

Dispatch navigate stop event

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### focusGainedOfAddressText

    public static void focusGainedOfAddressText(IWebBrowserACTF webBrowser)

Dispatch event that is called when the address area of the browser gained the focus

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### focusLostOfAddressText

    public static void focusLostOfAddressText(IWebBrowserACTF webBrowser)

Dispatch event that is called when the address area of the browser lost the focus

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`

#### newWindow

    public static void newWindow(IWebBrowserACTF webBrowser)

Dispatch event that is called when the new instance of `IWebBrowserACTF` was created

Parameters:
  `webBrowser` - event source `IWebBrowserACTF`